--- /tmp/zaptel-1.4.0/zaptel.h	2006-12-11 13:31:12.000000000 -0500
+++ zaptel-1.4.0/zaptel.h	2007-02-19 10:50:17.000000000 -0500
@@ -30,6 +30,8 @@
 #ifndef _LINUX_ZAPTEL_H
 #define _LINUX_ZAPTEL_H
 
+#define ZAPTEL_VERSION "1.4.0"
+
 #ifdef __KERNEL__
 #include "zconfig.h"
 #include <linux/version.h>
--- /tmp/asterisk-1.4/channels/chan_zap.c	2007-01-30 17:00:58.000000000 -0500
+++ asterisk-1.4/channels/chan_zap.c	2007-02-19 11:07:57.000000000 -0500
@@ -10006,6 +10006,15 @@
 #undef FORMAT2
 }
 
+static int zap_show_version(int fd, int argc, char *argv[]) {
+	char ver[10] = "unknown";
+#ifdef ZAPTEL_VERSION
+	ast_copy_string(ver,ZAPTEL_VERSION,sizeof(ver));
+#endif
+	ast_cli(fd,"Zaptel Version: %s\n", ver);
+	return RESULT_SUCCESS;
+}
+
 static char show_channels_usage[] =
 	"Usage: zap show channels\n"
 	"	Shows a list of available channels\n";
@@ -10029,6 +10038,10 @@
 	"	Note that this will STOP any running CALL on zaptel channels.\n"
 	"";
 
+static char zap_show_version_usage[] =
+	"Usage: zap show version\n"
+	"	Show current Zaptel version\n";
+
 static struct ast_cli_entry zap_cli[] = {
 	{ { "zap", "show", "cadences", NULL },
 	handle_zap_show_cadences, "List cadences",
@@ -10053,6 +10066,10 @@
 	{ { "zap", "show", "status", NULL},
 	zap_show_status, "Show all Zaptel cards status",
 	zap_show_status_usage },
+
+	{ { "zap", "show", "version", NULL},
+        zap_show_version, "Show Zaptel Version",
+        zap_show_version_usage },
 };
 
 #define TRANSFER	0
